@import 'src/app/styles/mixins';
@import 'src/app/styles/props';

:host {
  @include flex(flex-start);
  @include padding(20px 28px);
  background-color: rgba($eclipse, 0.9);
  width: 100%;
}

app-icon-info {
  margin-right: 12px;

  ::ng-deep {
    svg {
      @include box(20px);
    }

    circle,
    line {
      stroke: rgba($white, 0.27);
    }
  }
}

// content
.app-content {
  @include flex(center, space-between);
  width: calc(100% - 32px);
}

// message
.app-message {
  @include robotoRegular;
  font-size: 14px;
  line-height: 17px;
  color: rgba($white, 0.63);
  width: calc(100% - 64px);
  word-break: break-word;
}

// link
.app-link {
  color: $white;
  text-decoration: underline;
}

app-icon-close {
  cursor: pointer;
  user-select: none;

  &:hover {
    opacity: 0.8;
  }

  ::ng-deep {
    svg {
      @include box(20px);
    }

    circle,
    line {
      stroke: $white;
    }
  }
}

@media (max-width: 767px) {
  :host {
    padding: 20px;
  }
  .app-content {
    align-items: flex-start;
  }
  .app-message {
    width: calc(100% - 32px);
  }
}
